View Issue Details

IDProjectCategoryView StatusLast Update
0001325UkrBIN (ukrbin.com)[All Projects] Generalpublic2018-05-07 19:06
ReporterNikolai YunakovAssigned Tobarry 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Summary0001325: Статистика на главной странице
DescriptionСтатистика дается на главной странице идет горизонтальной красивой полосой с надписями большими цифрами и буквами (шрифт Calibri)
Статистику лечше давать динамической в реальном времени

Наблюдения - Число записей, считается по уникальным ID в базе данных, включая коллекции и фотобазу

Виды - Число видов для которых внесен материал или фотографии
Люди:
1) Наблюдатели / Спостерігачі / Observers (общее число людей добавших хоть одну фотку или сделавших хоть одну запись в коллекцию)
Заходим в Наблюдатели > список пользователей ранжированый по числу фоток и записей в базе по убыванию

2) Кто определяет / Хто визначє / Identifiers
Заходим в Кто определяет > список пользователей ранжированый по числу определений до вида по убыванию

ЗАСТАВКА БЭКГРАУНД для страниц люди виды и наблюдения может быть карта Гугл (Terrain) в полноэкранном режиме с выбрасыванием точек на карту. Чтобы показать масштаб покрытия который мы уже охватили. Будет впечатлять.
TagsNo tags attached.

Relationships

related to 0001364 assignedbarry Статистика по Species. 

Activities

barry

2018-04-08 09:07

administrator   ~0003520

Заходим в Наблюдатели >
Заходим в Кто определяет >
Это какие-то новые, неизвестные на данный момент объекты/страницы?

barry

2018-04-08 09:09

administrator   ~0003521

ЗАСТАВКА БЭКГРАУНД с со всеми точками - это довольно ресурсоемкая операция.

Nikolai Yunakov

2018-04-08 09:42

manager   ~0003522

ЗАСТАВКА БЭКГРАУНД с со всеми точками - это довольно ресурсоемкая операция.
Отложим эту роскошь когда перейдем на нормальный хостинг

Nikolai Yunakov

2018-04-08 09:45

manager   ~0003523

Заходим в Наблюдатели >
Заходим в Кто определяет >
Это какие-то новые, неизвестные на данный момент объекты/страницы?

Да надо делать отдельные страницы. По сути эту статистику ты уже собираешь и частично даешь ее таблицей на странице пользователи.
А я предлагаю для красоты и для того чтобы взбодрить в людях дух соревнования сделать эти скоринги отдельными страницами и красиво оформить. Дизайн я подготовлю. Сейчас нужен просто запрос на выборку и ранжирование по количеству определений до вида и количеству записей для каждого пользователя

barry

2018-04-08 10:49

administrator   ~0003524

Ну надо их расписать. И наверное это какой-то скользящий хвост по времени, типа месяц или 100 дней.

Nikolai Yunakov

2018-04-08 10:53

manager   ~0003525

прямо тут расписать или отдельными задачами на каждую страницу?

barry

2018-04-08 11:01

administrator   ~0003526

да не - зачем тут

barry

2018-04-10 15:10

administrator   ~0003529

Рейтинг наблюдателей, заносящих данные по одной записи руками и вливающими сотнями тысяч записи в CSV мне кажется необъективным.

Nikolai Yunakov

2018-04-10 16:11

manager   ~0003530

Давай тогда откровенно стимулировать фотонаблюдения. Назовем один рейтинг "наблюдатели". Но те кто заносит данные списками они ведь тоже или наблюдатели или хранители коллекций. Их надо тоже наградить рейтингом. Не пойму как их компактно назвать. Давай начнем с фото наблюдателей

barry

2018-04-10 17:01

administrator   ~0003532

Ну безусловно они тоже делают работу и дают материал в больших объемах, их надо как-то отмечать.
Просто получается ты к примеру всегда в топе будешь висеть и кто-то со своими 10-100 записей никогда не перепрыгнет тебя. У человека просто опустятся руки, он за свою жизнь столько не внесет.
Т.е. ТОП будут всегда занимать мастистые энтомологи и ботаники со своими списками.
Мы в принципе можем и фиксировать записи по методу ввода (отмечать CSV), но опять же - человек может дома руками набивать и потом влить через CSV.

barry

2018-04-11 15:37

administrator   ~0003533

? Observers > contributors

Nikolai Yunakov

2018-04-11 17:59

manager   ~0003535

Last edited: 2018-04-11 18:01

View 2 revisions

Для фотонаблюдателей: Observers - Спостерігачі - Наблюдатели
Для загружающих CSV или вносящих данные записями без фото: Explorers - Дослідники - Исследователи

barry

2018-04-12 00:38

administrator   ~0003538

Identifiers по-моему неудачный термин. Так в коде переменные обзывают "Идентификаторы".
Determinant вроде в английском более ходовое в плане жуков. Definer разве что еще.

Nikolai Yunakov

2018-04-12 00:41

manager   ~0003539

Ты редко ошибаешься, но тут ты не прав. Надо Identifiers

Nikolai Yunakov

2018-04-12 18:39

manager   ~0003548

Таблица Observers
1) показывает рейтинг людей за 100 дней
2) показывает только сумму уникальных наблюдений

Nikolai Yunakov

2018-04-12 18:41

manager   ~0003549

Таблица Identifiers
1) показывает рейтинг людей за 100 дней
2) показывает только сумму определений до вида

Nikolai Yunakov

2018-04-12 18:44

manager   ~0003550

Добавить показатель Explorers - Дослідники - Исследователи
Считать число записей в базе данных добавленных исследоваателями

Таблица Explorers
1) показывает рейтинг людей за 100 дней
2) показывает сумму записей добавленных исследоваателем
3) ранжируется по убыванию

Nikolai Yunakov

2018-04-12 19:30

manager   ~0003557

Таблица Species
ранжировать по убыванию топ 100 видов на странице по числу наблюдений
Таким образом будем видеть самые наблюдаемые виды. Чтоб не перегружать загрузку можно разделить по 100 видов на страницу. А можно вообще ограничиться первыми 500 а остальных не показывать.

Nikolai Yunakov

2018-04-13 01:07

manager   ~0003562

Last edited: 2018-04-13 01:07

View 2 revisions

Статистика сливается с основным текстом в Фичах ниже
Надо сделать их более крупным кеглем, лучше КАПСОМ и поменять цвет шрифта на Темно-Бирюзовый точно такой же каким сейчас отображаются иконки фичей
Убрать синий и подчеркивание текста гиперлинков - они должны быть такими же как и остальной текст КАПС + Темно-Бирюзовый

Nikolai Yunakov

2018-04-13 02:31

manager   ~0003563

Ошибка в заголовок таблицы Identifiers
Determinations исправить на Identifications

barry

2018-04-13 08:18

administrator   ~0003564

>>> Убрать синий и подчеркивание текста гиперлинков
Тогда люди не подумают что это линк и не будут смотреть

Nikolai Yunakov

2018-04-13 08:22

manager   ~0003565

поймут. трекинг анализ показывает что люди обычно водят по экрану курсором и при наведении на эти слова человек быстро увидит что это линк потому что стрелочка меняется на руку с пальцем

barry

2018-04-13 08:23

administrator   ~0003566

>>> Ошибка в заголовок таблицы Identifiers
В смысле во множественном числе сделать? тогда и в первой надо Observers написать.

Nikolai Yunakov

2018-04-13 08:24

manager   ~0003567

В таблице Identifiers
Determinations исправить на Identifications

barry

2018-04-13 08:26

administrator   ~0003568

Это ж название колонки, а не заголовок всей таблицы, обычно принято в единственном числе писать.

Nikolai Yunakov

2018-04-13 08:28

manager   ~0003569

к заголовкам Observations Observers Identifiers можно добавить пиктограммы как я делал для макета страници аккаунт пользователя

Nikolai Yunakov

2018-04-13 08:29

manager   ~0003570

Last edited: 2018-04-13 08:29

View 2 revisions

"Это ж название колонки, а не заголовок всей таблицы, обычно принято в единственном числе писать."
В таблице Identifiers
название колонки Determinations исправить на Identifications

Nikolai Yunakov

2018-04-17 01:23

manager   ~0003572

Надо создать страницу Species для переход c главной статистики. Там можно показывать три скоринга
1 Последние добавленные виды - все наверное не нужно выбрасывать. Например 100 или 50 последних
2) Последние наблюдаемые виды все наверное не нужно выбрасывать. Например 100 или 50 последних
3) Наиболее часто наблюдаемые виды все наверное не нужно выбрасывать. Например 100 или 50 наиболее наблюдаемых на страницу

Issue History

Date Modified Username Field Change
2018-04-08 04:04 Nikolai Yunakov New Issue
2018-04-08 04:04 Nikolai Yunakov Status new => assigned
2018-04-08 04:04 Nikolai Yunakov Assigned To => barry
2018-04-08 04:07 Nikolai Yunakov Description Updated View Revisions
2018-04-08 09:07 barry Note Added: 0003520
2018-04-08 09:09 barry Note Added: 0003521
2018-04-08 09:42 Nikolai Yunakov Note Added: 0003522
2018-04-08 09:45 Nikolai Yunakov Note Added: 0003523
2018-04-08 10:49 barry Note Added: 0003524
2018-04-08 10:53 Nikolai Yunakov Note Added: 0003525
2018-04-08 11:01 barry Note Added: 0003526
2018-04-08 11:06 Nikolai Yunakov Description Updated View Revisions
2018-04-10 15:10 barry Note Added: 0003529
2018-04-10 16:11 Nikolai Yunakov Note Added: 0003530
2018-04-10 16:36 barry Status assigned => acknowledged
2018-04-10 17:01 barry Note Added: 0003532
2018-04-11 15:37 barry Note Added: 0003533
2018-04-11 17:59 Nikolai Yunakov Note Added: 0003535
2018-04-11 18:01 Nikolai Yunakov Note Edited: 0003535 View Revisions
2018-04-12 00:38 barry Note Added: 0003538
2018-04-12 00:41 Nikolai Yunakov Note Added: 0003539
2018-04-12 18:39 Nikolai Yunakov Note Added: 0003548
2018-04-12 18:41 Nikolai Yunakov Note Added: 0003549
2018-04-12 18:44 Nikolai Yunakov Note Added: 0003550
2018-04-12 19:30 Nikolai Yunakov Note Added: 0003557
2018-04-13 01:07 Nikolai Yunakov Note Added: 0003562
2018-04-13 01:07 Nikolai Yunakov Note Edited: 0003562 View Revisions
2018-04-13 02:31 Nikolai Yunakov Note Added: 0003563
2018-04-13 08:18 barry Note Added: 0003564
2018-04-13 08:22 Nikolai Yunakov Note Added: 0003565
2018-04-13 08:23 barry Note Added: 0003566
2018-04-13 08:24 Nikolai Yunakov Note Added: 0003567
2018-04-13 08:26 barry Note Added: 0003568
2018-04-13 08:28 Nikolai Yunakov Note Added: 0003569
2018-04-13 08:29 Nikolai Yunakov Note Added: 0003570
2018-04-13 08:29 Nikolai Yunakov Note Edited: 0003570 View Revisions
2018-04-17 01:23 Nikolai Yunakov Note Added: 0003572
2018-04-21 12:32 barry Relationship added related to 0001364
2018-04-21 12:33 barry Status acknowledged => resolved
2018-04-21 12:33 barry Resolution open => fixed
2018-05-07 19:06 barry Status resolved => closed